/*************************************************************************

	formZ by autodessys, Inc
	Copyright (c) 1990-1999 autodessys, Inc.  All rights reserved.

	File:	test_cmds_prvt.h
	By:		Tim Hanes

	Created on:  		03/27/02: NEW FILE
	Updated on :  		.
	Last Updated on:  	.
	Description:		Test Object Type Plugin Header.

**************************************************************************
*************************************************************************/

#ifndef __VIEW_COMMANDS_H
#define __VIEW_COMMANDS_H 1

				/*** includes : ansi ***/
#include <math.h>
#include <float.h>
#include <stdlib.h>
#include <time.h>
#include <ctype.h>
#include <errno.h>

				/*** includes : fzrt ***/
#include "fz_fuim_api.h"
#include "fzpl_plugin.h"

				/*** includes : formz ***/
#include "fz_api.h"
#include "fz_math_api.h"
#include "fz_objt_api.h"
#include "fz_acis_api.h"
#include "fz_type_api.h"
#include "fz_view_api.h"

				/*** includes  ***/
#include "formz_vendor.h"
#include "fzpl_plugin.h"


/* Plugin Identification */
/* UUID : {21191fb5-e396-4b7f-bec9-e667d784cb84} */

#define VIEW_COMMANDS_PLUGIN_ID			"\x21\x19\x1f\xb5\xe3\x96\x4b\x7f\xbe\xc9\xe6\x67\xd7\x84\xcb\x84"		/* Reference : 2606 */
#define VIEW_COMMANDS_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)	
#define VIEW_COMMANDS_PLUGIN_VENDOR		FORMZ_VENDOR
#define VIEW_COMMANDS_PLUGIN_ATTR_STR	"FFMT=CMDS;FVERS=1.0"
#define VIEW_COMMANDS_PLUGIN_URL			FORMZ_VENDOR_URL

/* UUID : {631f8070-c521-4af1-b2e4-edbbdbd4bb34} */
#define VIEW_AXONOMETRIC_ID	"\x63\x1f\x80\x70\xc5\x21\x4a\xf1\xb2\xe4\xed\xbb\xdb\xd4\xbb\x34"	/* Reference : 2607 */			

/* UUID : {56124612-8055-4db5-bcdd-93f3c0941d9e} */
#define VIEW_ISOMETRIC_ID	"\x56\x12\x46\x12\x80\x55\x4d\xb5\xbc\xdd\x93\xf3\xc0\x94\x1d\x9e"	/* Reference : 2608 */				

/* UUID : {d79a75af-da08-4cfc-a013-5eedbad6f7e0} */
#define VIEW_OBLIQUE_ID		"\xd7\x9a\x75\xaf\xda\x08\x4c\xfc\xa0\x13\x5e\xed\xba\xd6\xf7\xe0"	/* Reference : 2609 */			

/* UUID : {1fbc7f23-a8b4-42e2-81cc-63458f7ddea7} */
#define VIEW_PERSPECTIVE_ID	"\x1f\xbc\x7f\x23\xa8\xb4\x42\xe2\x81\xcc\x63\x45\x8f\x7d\xde\xa7"	/* Reference : 2610 */				

/* UUID : {b4993bbf-87e1-4629-a7ae-53efd8dec7c0} */
#define VIEW_PANORAMIC_ID	"\xb4\x99\x3b\xbf\x87\xe1\x46\x29\xa7\xae\x53\xef\xd8\xde\xc7\xc0"	/* Reference : 2611 */	

/* UUID : {b4993bbf-87e1-4629-a7ae-53efd8dec7c0} */
#define VIEW_MENU_GROUP_ID	"\xb4\x99\x3b\xbf\x87\xe1\x46\x29\xa7\xae\x53\xef\xd8\xde\xc7\xc0"	/* Reference : 2611 */	

/* globals */

const fzpl_fset_glue_fset *fset_glue;

/* application provided function sets to hold on to */

fz_math_fset			math_funcs;
fz_model_fset			model_funcs;
fz_acis_fset	 		acis_funcs;
fz_type_fset			type_funcs;
fz_fuim_fset			fuim_funcs;
fz_view_fset			view_funcs;

fz_fzrt_base_fset		fzrt_base_funcs;
fz_fzrt_file_fset		fzrt_file_funcs;

fzrt_unsigned_int			plugin_runtime_id;
fzrt_fzr_ref_td			rsrc_ref;
short					rlib_index;
fzrt_floc_ptr			floc;


#define STRINGS		1

enum
{
	STRING_NAME = 1,
	STRING_AXONOMETRIC,
	STRING_ISOMETRIC,
	STRING_OBLIQUE,
	STRING_PERSPECTIVE,
	STRING_PANORAMIC,
	
	STRING_MAX
};

#endif /* __VIEW_COMMANDS_H */
