/*------------------------------------------------------------------------*
  Filename....: notify_test.h


		 COPYRIGHT (C) 2004.  All Rights Reserved.
		 auto*des*sys, Inc., Columbus, Ohio, USA.
 *------------------------------------------------------------------------*/

#ifndef _NOTIFY_TEST_H
#define _NOTIFY_TEST_H 1

#include <math.h>
#include <float.h>
#include <stdlib.h>
#include <time.h>
#include <ctype.h>
#include <errno.h>

#include "fzrt_api.h"
#include "fz_api.h"

#include "fz_math_api.h"
#include "fz_objt_api.h"
#include "fz_otyp_api.h"
#include "fz_type_api.h"
#include "fz_iost_api.h"
#include "formz_vendor.h"
#include "fz_notf_api.h"
#include "fz_palt_api.h"
#include "fzpl_plugin.h"



#define NOTIFY_TEST_PALT_PLUGIN_ID			"\x9d\x2c\x5a\x3c\x9f\xee\x11\xda\x8e\x35\x00\x03\x93\x63\x5d\xbc"
#define NOTIFY_TEST_PALT_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)
#define NOTIFY_TEST_PALT_PLUGIN_VENDOR		FORMZ_VENDOR
#define NOTIFY_TEST_PALT_PLUGIN_URL			FORMZ_VENDOR_URL
#define NOTIFY_TEST_PALT_ID					"\x9d\x2c\x5b\x04\x9f\xee\x11\xda\x8e\x35\x00\x03\x93\x63\x5d\xbc"

/*************************************************************************
						PLUGIN STUFF
**************************************************************************/

typedef struct
{
	const fzpl_fset_glue_fset *fsf;

	/* application provided function sets to hold on to */
	
	fz_math_fset			math_funcs;
	fz_model_fset			model_funcs;
	fz_type_fset			type_funcs;
	fz_fuim_fset			fuim_funcs;
	fz_iost_fset			iost_funcs;

	fz_fzrt_base_fset		fzrt_base_funcs;
	fz_fzrt_mem_fset		fzrt_mem_funcs;
	fz_fzrt_file_fset		fzrt_file_funcs;
	fz_fzrt_graf_fset		fzrt_graf_funcs;
	fz_fzrt_ui_fset			fzrt_ui_funcs;
	fz_fzrt_util_fset		fzrt_util_funcs;

	fz_view_fset			view_funcs;
	fz_wind_fset			wind_funcs;
	fz_objt_attr_fset		obj_attr_funcs;
	fz_proj_fset			proj_funcs;
	fz_lite_fset			lite_funcs;
	fz_rmtl_fset			rmtl_funcs;
	fz_layr_fset			layr_funcs;

	fzrt_unsigned_int			notify_test_tool_plugin_runtime_id;
		
}  notify_test_plugin_stuff;

extern notify_test_plugin_stuff		plugin_stuff;

#endif /* _NOTIFY_TEST_H */
