/*************************************************************************

	formZ by autodessys, Inc
	Copyright (c) 1990-1999 autodessys, Inc.  All rights reserved.

	File:	test_cmds_prvt.h
	By:		Tim Hanes

	Created on:  		03/27/02: NEW FILE
	Updated on :  		.
	Last Updated on:  	.
	Description:		Test Object Type Plugin Header.

**************************************************************************
*************************************************************************/

#ifndef __VIEW_PALETTE_H
#define __VIEW_PALETTE_H 1

				/*** includes : ansi ***/
#include <math.h>
#include <float.h>
#include <stdlib.h>
#include <time.h>
#include <ctype.h>
#include <errno.h>

				/*** includes : fzrt ***/
#include "fz_fuim_api.h"
#include "fzpl_plugin.h"

				/*** includes : formz ***/
#include "fz_api.h"
#include "fz_math_api.h"
#include "fz_objt_api.h"
#include "fz_acis_api.h"
#include "fz_type_api.h"
#include "fz_view_api.h"

				/*** includes  ***/
#include "formz_vendor.h"
#include "fzpl_plugin.h"


/* Plugin Identification */
/* UUID : {09bed114-54d6-4a5e-91ac-81d4adcb32cd} */

#define VIEW_PALETTE_PLUGIN_ID			"\x09\xbe\xd1\x14\x54\xd6\x4a\x5e\x91\xac\x81\xd4\xad\xcb\x32\xcd"		/* Reference : 801 */
#define VIEW_PALETTE_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)	
#define VIEW_PALETTE_PLUGIN_VENDOR		FORMZ_VENDOR
#define VIEW_PALETTE_PLUGIN_ATTR_STR		"FFMT=CMDS;FVERS=1.0"
#define VIEW_PALETTE_PLUGIN_URL			FORMZ_VENDOR_URL

#define VIEW_PALETTE_ID					VIEW_PALETTE_PLUGIN_ID	

/* globals */

const fzpl_fset_glue_fset *fset_glue;

/* application provided function sets to hold on to */

fz_math_fset			math_funcs;
fz_model_fset			model_funcs;
fz_acis_fset	 		acis_funcs;
fz_type_fset			type_funcs;
fz_fuim_fset			fuim_funcs;
fz_view_fset			view_funcs;

fz_fzrt_base_fset		fzrt_base_funcs;
fz_fzrt_file_fset		fzrt_file_funcs;

fzrt_unsigned_int			plugin_runtime_id;
fzrt_fzr_ref_td			rsrc_ref;
short					rlib_index;
fzrt_floc_ptr			floc;


#define STRINGS		1

enum
{
	STRING_NAME = 1,
	STRING_TYPE,
	STRING_AXONOMETRIC,
	STRING_ISOMETRIC,
	STRING_OBLIQUE,
	STRING_PERSPECTIVE,
	STRING_PANORAMIC,
	
	STRING_MAX
};

#endif /* __VIEW_PALETTE_H */
