/*************************************************************************

	form*Z by auto*des*sys, Inc.
	Copyright (c) 1989-2004 auto*des*sys, Inc.  All rights reserved.

	File:			rainbow.h
	Author:			auto*des*sys, Inc.
	Created on:		02/23/04
	Description:	Rainbow utility plugin header.

*************************************************************************/

#ifndef __RAINBOW_H
#define __RAINBOW_H 1

/************************************************************************
	formZ api headers
*************************************************************************/

/* Required for all plugins */

#include "fzrt_api.h"

/* Required for plugin's created by auto*des*sys, Inc. */

#include "formz_vendor.h"

/* Required for this specific plugin */

#include "fz_util_api.h" /* required for util fset */
#include "fz_objt_api.h" /* required for model fset */
#include "fz_view_api.h" /* required for view fset */
#include "fz_rmtl_api.h" /* required for rmtl fset */
#include "fz_fuim_api.h" /* required for fuim fset */


/************************************************************************
	Globals
*************************************************************************/

/* Plugin identification */
#define RAINBOW_PLUGIN_UUID			"\xb2\x87\x70\x40\x08\xab\x4f\xf8\xb5\xca\xfb\x11\x33\x5e\xf8\x20"
#define RAINBOW_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)
#define RAINBOW_PLUGIN_VENDOR		FORMZ_VENDOR
#define RAINBOW_PLUGIN_URL			FORMZ_VENDOR_URL

/* function set provided by formZ. */
const fzpl_fset_glue_fset* _fset_glue;

/* formZ provided function sets to hold on to */
fz_fzrt_base_fset		_base_funcs;
fz_model_fset			_model_funcs;
fz_fuim_fset			_fuim_funcs;
fz_rmtl_fset			_rmtl_funcs;
fz_type_fset			_type_funcs;
fz_fzrt_mem_fset		_mem_funcs;
fz_objt_attr_fset		_model_attr_funcs;
fz_fzrt_graf_fset		_graf_funcs;
fz_fzrt_file_fset		_file_funcs;

/* id assigned at run-time */
fzrt_unsigned_int  _rainbow_plugin_runtime_id;

/* localization */
#define STRING_SIZE		256
char _name[STRING_SIZE];
char _short_name[STRING_SIZE];

/* number of objects in scene */
fzrt_int num_objs;


#endif /* __RAINBOW_H */
