/*********************************************************************************************
 *                                                                                           *
 *                                                                                           *
 *   Copyright 1989-2018 by AutoDesSys, Inc.                                                 *
 *                                                                                           *
 *   This software and its associated documentation contains proprietary,                    *
 *   confidential, and trade secret information of AutoDesSys Inc. and may not be            *
 *   disclosed, copied in any form, or used for any purpose except as specifically           *
 *   permitted in writing by AutoDesSys, Inc.                                                *
 *                                                                                           *
 *   AutoDesSys, Inc. grants permission to use the software to those who purchase            *
 *   a license.  Such a usage will be made according to the terms and conditions             *
 *   specified in the license agreement to which a licensee agrees before installing         *
 *   and commencing usage of the software.  The license agreement can be found               *
 *   on the envelop that contains the software CD.                                           *
 *                                                                                           *
 *   AutoDesSys, Inc. also grants permission to licensees to develop extensions to           *
 *   the software, which can be in the form of scripts or plugins.  The permission           *
 *   includes calling the API and call back functions provided by AutoDesSys, Inc.           *
 *   and accessing information relevant to these functions and the general workings          *
 *   of form.Z, but only up to the point to which AutoDesSys, Inc. has chosen to             *
 *   expose, through its form.Z SDK Manual.  All extensions developed by third               *
 *   parties will include a copy of this copyright note in an easily accessible place or     *
 *   a clear instruction to read this original note by AutoDesSys, Inc.                      *
 *                                                                                           *
 *   All the software distributed under a license, either for the purpose of using it or     *
 *   for the purpose of developing extensions, is distributed AS IS, WITHOUT                 *
 *   WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND                                    *
 *   AutoDesSys, Inc. HEREBY DISCLAIMS ALL SUCH WARRANTIES,                                  *
 *   INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF                                         *
 *   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.                                    *
 *                                                                                           *
 *   formZ, RenderZone, and RadioZity are registered trademarks of AutoDesSys, Inc.          *
 *                                                                                           *
 *   form.Z SDK, Version 8.6.3, Dec 03, 2018                                                 *
 *                                                                                           *
 *                                                                                           *
 *********************************************************************************************/


#ifndef __FZ_CMND_MODEL_IDS_H
#define __FZ_CMND_MODEL_IDS_H 1

#ifdef __cplusplus
extern "C" {
#endif




/****************************************************************

	FZ_CMND_MODEL_PRIM_CUBE

	Description
		Identifier for the Cube tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRIM_CUBE				"\x50\x54\x60\xcc\x51\x0f\x44\x11\x95\xfb\x82\xe4\xaf\x1a\xd8\x61"
/****************************************************************

	FZ_CMND_MODEL_PRIM_CONE

	Description
		Identifier for the Cone tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRIM_CONE				"\x21\x1f\x9a\x64\x69\x9d\x4c\x21\xa7\x32\xe5\xfb\xe2\x4c\xd9\xb1"
/****************************************************************

	FZ_CMND_MODEL_PRIM_CYLN

	Description
		Identifier for the Cylinder tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRIM_CYLN				"\x97\x32\x11\xa4\x01\x34\x47\xc9\xac\x82\x3f\x4b\x05\x02\x89\x27"
/****************************************************************

	FZ_CMND_MODEL_PRIM_SPHR

	Description
		Identifier for the Sphere tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRIM_SPHR				"\xdb\x3a\xd6\x2c\xe1\x94\x4e\x3b\x8e\xb6\x1e\x1a\x8b\x70\x64\xae"
/****************************************************************

	FZ_CMND_MODEL_PRIM_TORU

	Description
		Identifier for the Torus tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRIM_TORU				"\xc3\x59\xc0\x31\x3c\x5d\x45\x0f\xa3\xfc\x8d\xd4\x6f\x86\xa5\x1a"
/****************************************************************

	FZ_CMND_MODEL_PRIM_SPHERE

	Description
		Identifier for the Spherical Object tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRIM_SPHERE			"\xc6\x5a\xc2\x24\x42\xf1\x47\x0e\xbf\xe4\x6c\x17\xc8\xd5\xba\xa3"
/****************************************************************

	FZ_CMND_MODEL_RECT2

	Description
		Identifier for the Rectangle tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_RECT2					"\xe9\xad\xdc\xbf\x66\x77\x4f\xba\x9b\x7a\xba\x3f\x33\x1a\x1c\x31"
/****************************************************************

	FZ_CMND_MODEL_RECT3

	Description
		Identifier for the Rectangle, 3 Point tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_RECT3					"\x11\x7f\x90\x44\xeb\xf4\x48\x56\x98\x5f\x70\x15\x7e\x61\xbc\xb4"
/****************************************************************

	FZ_CMND_MODEL_PSHAPE_USR

	Description
		Identifier for the Polygon tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PSHAPE_USR			"\xda\x80\x0e\xe4\x22\x64\x43\x6b\xa0\x0d\x12\x19\x7b\x18\x5a\xe5"
/****************************************************************

	FZ_CMND_MODEL_CIRCCR

	Description
		Identifier for the Circle, Center & Radius tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CIRCCR				"\xf0\x1e\x2b\x37\x0c\x85\x42\x68\x8e\x06\x4a\x00\xe1\x2d\x5f\xf9"
/****************************************************************

	FZ_CMND_MODEL_CIRC2P

	Description
		Identifier for the Circle, Diameter tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CIRC2P				"\xa6\x81\xa1\xe6\x23\x32\x44\x45\x9d\x45\xbc\xf7\xc4\x85\xd6\x3d"
/****************************************************************

	FZ_CMND_MODEL_CIRC3P

	Description
		Identifier for the Circle, 3 Point tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CIRC3P				"\x63\x1f\x92\xf5\x50\x31\x46\xfd\xb5\x3d\xab\xcf\x4e\x1d\x31\x64"
/****************************************************************

	FZ_CMND_MODEL_ELPS1

	Description
		Identifier for the Ellipse, Major & Minor Radius tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ELPS1					"\x9c\x32\x44\x72\x1e\xa0\x4e\x6e\xaf\x92\xb9\x24\x9b\x4b\x46\x35"
/****************************************************************

	FZ_CMND_MODEL_ELPS2

	Description
		Identifier for the Ellipse, Diameter & Radius tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ELPS2					"\x3c\x1b\x29\xd6\xd6\x6c\x4a\x89\x87\x9d\x51\x62\xc5\xd1\x3f\xc8"
/****************************************************************

	FZ_CMND_MODEL_OPOINT

	Description
		Identifier for the Point tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_OPOINT				"\x1b\x5d\xaf\xea\x5f\x2c\x4e\x1f\xa2\x17\x34\xf2\x05\xe3\xf0\x05"
/****************************************************************

	FZ_CMND_MODEL_OLINE

	Description
		Identifier for the Segment tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_OLINE					"\x61\xe8\x14\x30\x4a\x22\x44\xa4\xa7\xec\x25\xcd\xc0\xa1\x71\xf5"
/****************************************************************

	FZ_CMND_MODEL_VLINE

	Description
		Identifier for the Vector Line tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_VLINE					"\x5a\x56\xa1\x68\x3d\xf8\x4c\x5f\x81\x29\x1b\xff\x06\xf3\x49\x9c"
/****************************************************************

	FZ_CMND_MODEL_BSCRV

	Description
		Identifier for the Spline, Quadratic Bezier tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_BSCRV					"\xb7\x12\x6f\x19\x3b\x33\x4a\x10\x96\x49\x5c\x0b\x57\x0c\xe5\xb1"
/****************************************************************

	FZ_CMND_MODEL_BSCRV4

	Description
		Identifier for the Spline, Cubic Bezier tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_BSCRV4				"\xf3\xf9\xda\xa0\xed\x77\x4d\xbf\x88\x35\x59\x50\x09\x23\x55\x3b"
/****************************************************************

	FZ_CMND_MODEL_BSCRV3

	Description
		Identifier for the B-Spline, Cubic tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_BSCRV3				"\x95\xcd\x62\xe8\x58\x17\x46\x75\xb6\xf4\x09\x3c\x34\xc3\xc5\x02"
/****************************************************************

	FZ_CMND_MODEL_BSCRV2

	Description
		Identifier for the Spline Sketch tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_BSCRV2				"\x32\xd2\x98\x91\xcc\x80\x49\xba\x80\xfe\xc5\x4d\x80\xda\x33\xd4"
/****************************************************************

	FZ_CMND_MODEL_SLINE

	Description
		Identifier for the Stream Line tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_SLINE					"\x8f\xa7\x90\x8e\x25\x41\x4d\x52\xa4\x18\x88\x17\xdf\x4d\x97\xfc"
/****************************************************************

	FZ_CMND_MODEL_POSARC

	Description
		Identifier for the Arc, Clockwise, Endpoint-Last tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_POSARC				"\xef\x5f\x4e\x18\x63\x43\x48\x85\xa2\xf8\x08\x89\xcf\x13\xd3\x30"
/****************************************************************

	FZ_CMND_MODEL_NEGARC

	Description
		Identifier for the Arc, Counterclockwise, Endpoint-Last tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_NEGARC				"\x96\x9e\xca\x57\x4d\xb8\x4f\x5a\x83\x79\x05\xf3\x1e\xf0\x8f\x29"
/****************************************************************

	FZ_CMND_MODEL_POSARC2

	Description
		Identifier for the Arc, Clockwise, Center-Last tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_POSARC2				"\xf8\x23\x9c\x5a\x0d\x84\x42\xd1\xaa\xa6\x5f\xb8\x0f\xfd\x09\x49"
/****************************************************************

	FZ_CMND_MODEL_NEGARC2

	Description
		Identifier for the Arc, Counterclockwise, Center-Last tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_NEGARC2				"\xcb\x04\x6c\x3c\x19\x8b\x4c\x53\xa4\x6d\x4c\xa8\xae\xd8\xee\xda"
/****************************************************************

	FZ_CMND_MODEL_POSARC3

	Description
		Identifier for the Arc, 3-Point, Endpoint-Last tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_POSARC3				"\x91\x8a\x43\xb7\x80\x32\x44\x25\x99\x18\xc9\x70\xa7\xc8\xcc\x53"
/****************************************************************

	FZ_CMND_MODEL_NEGARC3

	Description
		Identifier for the Arc, 3-Point, Midpoint-Last tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_NEGARC3				"\xac\x0a\x6e\x99\x23\xc8\x4a\x76\xa2\x4a\xda\x8f\xf8\x62\xa2\xcb"
/****************************************************************

	FZ_CMND_MODEL_NRBZ_CURV

	Description
		Identifier for the Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_NRBZ_CURV				"\xec\x2f\xdc\x22\x19\x05\x4e\x0d\x89\x10\x2b\xb7\x28\x94\x2b\x28"

/****************************************************************

	FZ_CMND_MODEL_CURV_REWORK

	Description
		Identifier for the Reconstruct Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_REWORK			"\xf2\xed\x0b\xc7\x96\xd9\x4e\x00\xbf\xd0\x9e\xa9\xd9\xa9\x7d\x9b"
/****************************************************************

	FZ_CMND_MODEL_CURV_ATTACH

	Description
		Identifier for the Attach Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ATTACH			"\xad\x64\xeb\xcc\x56\x6c\x44\xe8\xbd\x3e\xef\xb1\xfb\xcf\x62\x5d"
/****************************************************************

	FZ_CMND_MODEL_CURV_BLEND

	Description
		Identifier for the Blend Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_CURV_BLEND			"\x07\xa4\x27\x83\xa0\x33\x4e\x61\xba\xff\x8a\xa8\xe9\x51\x1d\xc9"
/****************************************************************

	FZ_CMND_MODEL_CURV_BLEND_2_POINT

	Description
		Identifier for the Curve Blend 2 Point tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_CURV_BLEND_2_POINT	"\x4d\x09\x70\x99\xb6\x65\x4c\x9a\x9e\xfb\x53\x36\x92\xeb\xc5\x6b"
/****************************************************************

	FZ_CMND_MODEL_CURV_MERGE

	Description
		Identifier for the Merge Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_CURV_MERGE			"\xe8\xb3\xd8\x08\x43\x97\x42\x92\xa8\x98\x59\x56\x71\x34\x05\xc1"
/****************************************************************

	FZ_CMND_MODEL_CURV_EXTEND

	Description
		Identifier for the Extend Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_EXTEND			"\xed\xe8\x33\xbb\x73\x63\x49\xdc\xaa\x6d\xa8\xa3\xc5\x89\xdb\xd8"
/****************************************************************

	FZ_CMND_MODEL_CURV_SPLIT

	Description
		Identifier for the Break Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_SPLIT			"\x08\x04\x02\xf7\x79\xe3\x4a\x92\x87\xff\x60\x95\xe8\x2c\xa2\x75"
/****************************************************************

	FZ_CMND_MODEL_CURV_NCOS

	Description
		Identifier for the Curve On Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_NCOS				"\xb7\x5e\x7d\x01\xf2\xab\x43\xde\xae\x3c\x6a\x25\x13\x34\xe3\x0c"
/****************************************************************

	FZ_CMND_MODEL_CURV_NCOS_EDIT

	Description
		Identifier for the Edit In Parameter Space tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_NCOS_EDIT		"\x64\x0c\xdf\xa1\xa4\x02\x42\x94\x95\x41\x7e\x10\x20\xc6\xf9\xe2"
/****************************************************************

	FZ_CMND_MODEL_SURF

	Description
		Identifier for the Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_SURF					"\x73\x43\x44\x4c\x0f\xcb\x4c\xd2\xbe\x82\xb6\x3e\xa6\x6b\x9e\x9b"



/****************************************************************

	FZ_CMND_MODEL_SURF_BY_LOFT

	Description
		Identifier for create surface by loft

	Availability	7.0.0.0

 ****************************************************************/
									
#define FZ_CMND_MODEL_SURF_BY_LOFT		"\x10\x5c\x51\xe7\xde\xa7\x41\x9a\xa5\x00\x81\xe5\xa2\xe0\xa2\xf7"


/****************************************************************

	FZ_CMND_MODEL_SURF_BY_BNDRY

	Description
		Identifier for create surface by boundary

	Availability	7.0.0.0

 ****************************************************************/
									
#define FZ_CMND_MODEL_SURF_BY_BNDRY	"\xd0\xb9\x9d\xd3\x0e\x4e\x46\xaa\xb1\xd8\x90\x9d\x29\x20\x69\xad"


/****************************************************************

	FZ_CMND_MODEL_SURF_BY_CRVS

	Description
		Identifier for create surface by crvs

	Availability	7.0.0.0

 ****************************************************************/
									
#define FZ_CMND_MODEL_SURF_BY_CRVS		"\x4c\xcf\x20\x0f\x57\x9d\x40\x7d\xbe\x91\x6d\xef\x2e\x1c\xfb\x7b"


/****************************************************************

	FZ_CMND_MODEL_SURF_BY_PNTS

	Description
		Identifier for create surface by points

	Availability	7.0.0.0

 ****************************************************************/
									
#define FZ_CMND_MODEL_SURF_BY_PNTS		"\x8f\x6c\xc1\xa2\x4c\x6e\x4d\xa8\xa4\x44\xcd\xc2\xd1\x6b\xb2\xec"

/****************************************************************

	FZ_CMND_MODEL_SURF_CAGE

	Description
		Identifier for the Nurbz Cross Sections tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_SURF_CAGE				"\xce\x90\x61\x96\x14\x7e\x48\x30\xa7\x59\x59\xab\xe0\x6c\x07\x74"
/****************************************************************

	FZ_CMND_MODEL_SURF_EXTRACT

	Description
		Identifier for the Extract Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_EXTRACT			"\x4b\x09\x18\x60\xac\x4c\x44\xb7\xa1\x42\x5a\xc9\x83\x64\xc2\x45"
/****************************************************************

	FZ_CMND_MODEL_SURF_REWORK

	Description
		Identifier for the Reconstruct Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_REWORK			"\x39\x47\xa9\xb1\x9e\xc3\x49\x32\xaa\xf1\x9f\xe6\x26\x26\xe8\x42"
/****************************************************************

	FZ_CMND_MODEL_SURF_ATTACH

	Description
		Identifier for the Attach Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_ATTACH			"\x97\xd4\x3e\x68\xcd\xc0\x4d\xf2\x8d\x2f\xe7\x17\x80\x98\xfd\xc8"
/****************************************************************

	FZ_CMND_MODEL_SURF_EXTEND

	Description
		Identifier for the Extend Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_EXTEND			"\xcf\x71\xb0\xc4\xe6\x0c\x4c\xf4\xbc\x58\x84\x22\x4d\x43\xbc\xde"
/****************************************************************

	FZ_CMND_MODEL_SURF_SPLIT

	Description
		Identifier for the Split Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_SPLIT			"\x03\xe3\xd7\x35\xcc\xcf\x40\x0f\x87\xd7\x78\xd6\xff\xda\x68\xf6"
/****************************************************************

	FZ_CMND_MODEL_SURF_BLEND

	Description
		Identifier for the Blend Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_BLEND			"\x20\x77\x01\x01\x5f\x55\x4b\x63\xa0\x03\x58\xc2\x43\x98\x44\xcf"
/****************************************************************

	FZ_CMND_MODEL_SURF_MERGE

	Description
		Identifier for the Merge Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_MERGE			"\xaa\x8f\x75\xd3\x01\x85\x42\x8c\x8d\xb7\xdd\xbe\x03\x7e\x78\xab"
/****************************************************************

	FZ_CMND_MODEL_SURF_CONVERT

	Description
		Identifier for the Convert Nurbz tool.

	Availability	7.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_CONVERT			"\xe4\x86\x09\xb0\x80\xc1\xe4\x4c\x89\xcf\xd0\xee\x83\xfb\xf8\x14"
/****************************************************************

	FZ_CMND_MODEL_SURF_UNTRIM

	Description
		Identifier for the Untrim Nurbz tool.

	Availability	5.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_SURF_UNTRIM			"\xb3\x67\xe1\xfa\x85\xc0\x49\x38\x8f\xf0\x6c\xfa\xba\x86\x00\xa8"
/****************************************************************

	FZ_CMND_MODEL_PICKER

	Description
		Identifier for the Pick tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PICKER				"\x79\x4b\xc9\xea\x9b\x28\x47\x62\x84\x8e\x33\x24\x73\x9c\x11\x24"
/****************************************************************

	FZ_CMND_MODEL_PICK_AREA

	Description
		Identifier for the Pick area tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PICK_AREA				"\xb9\x47\x16\xc7\xd6\xc2\x48\x3a\xa9\x23\x58\xeb\xae\xcc\x02\x7f"
/****************************************************************

	FZ_CMND_MODEL_PICK_ALL

	Description
		Identifier for the Pick All tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PICK_ALL				"\x2e\x90\x59\x81\xeb\xca\x42\xb3\x90\xba\x91\x1d\x2e\x8a\xfd\x044"
/****************************************************************

	FZ_CMND_MODEL_PICK_EDIT

	Description
		Identifier for the Edit Controls tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PICK_EDIT				"\x41\xdc\xe3\xf4\xa6\xe1\x42\xfa\x8b\xc1\xbe\x9b\x09\xce\x1c\x68"
/****************************************************************

	FZ_CMND_MODEL_PICK_SURF

	Description
		Identifier for the Edit Surface tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PICK_SURF				"\x7d\x53\x7a\x52\x63\xce\x49\x2f\xbc\x4b\xa4\x31\xe4\xbe\xf7\xc6"
/****************************************************************

	FZ_CMND_MODEL_DERV_PNT

	Description
		Identifier for the Point Cloud tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_PNT				"\x63\x2b\x9f\xdd\xf3\x44\x4c\xc8\xbc\x83\x74\x73\xbd\xf7\x1e\x9c"
/****************************************************************

	FZ_CMND_MODEL_DERV_2D

	Description
		Identifier for the 2D Surface tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_2D				"\x5f\xb5\x8c\x7b\x60\xca\x4d\xca\xa2\x30\x99\xbb\x40\x34\xf0\x0b"
/****************************************************************

	FZ_CMND_MODEL_DERV_2DEN

	Description
		Identifier for the 2D Enclosure tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_2DEN				"\x3f\x2a\x80\x01\xe6\x18\x4a\x49\x96\xe4\x8f\xb6\x50\x45\x61\x60"
/****************************************************************

	FZ_CMND_MODEL_DERV_EXTRUD

	Description
		Identifier for the 3D Extrusion tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_EXTRUD			"\x7d\x78\x2d\x69\xf4\xc2\x4d\x82\xb2\xd3\xea\x6a\x7a\xa0\x3d\x00"
/****************************************************************

	FZ_CMND_MODEL_DERV_EXTPNT

	Description
		Identifier for the 3D Converged tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_EXTPNT			"\xd6\x3c\xdc\x31\x0e\x4e\x4d\x4d\x93\xc9\x35\xdc\x24\x08\x15\xbe"
/****************************************************************

	FZ_CMND_MODEL_DERV_DOUB3D

	Description
		Identifier for the 3D Enclosure tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_DOUB3D			"\x2a\x28\xf7\x88\xdc\x4c\x46\x04\x8b\xab\xd6\x47\x2b\xd9\x46\xdc"
/****************************************************************

	FZ_CMND_MODEL_DERV_PARL_PL

	Description
		Identifier for the Parallel tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_PARL_PL			"\x38\x3a\x06\xda\x4b\x11\x47\xcf\x83\xe3\xd7\x55\x47\xbf\x12\xbf"
/****************************************************************

	FZ_CMND_MODEL_DERV_PROJ_2D

	Description
		Identifier for the Projection tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_PROJ_2D			"\x89\xa3\x3a\x53\xdd\xf0\x4f\xb6\x88\x04\x2f\x03\x32\x79\xd6\x0b"
/****************************************************************

	FZ_CMND_MODEL_DERV_PROJ_UNFOLD

	Description
		Identifier for the Unfold tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_PROJ_UNFOLD		"\x3c\xbd\x70\xda\x78\x31\x4d\x72\xb3\x12\x78\xd1\x56\x0d\xe2\x46"
/****************************************************************

	FZ_CMND_MODEL_DERV_LFORM

	Description
		Identifier for the Terrain tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_LFORM			"\x0e\x4b\x74\x4a\xf4\x4e\x45\xf8\x8d\x06\x45\xd2\x99\x1d\x74\xe5"
/****************************************************************

	FZ_CMND_MODEL_SWEEP_TOR

	Description
		Identifier for the Revolve tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SWEEP_TOR				"\x77\xb9\x35\x24\xd2\xae\x4e\x63\xb5\x29\x20\xcf\x71\x79\xcf\xbd"
/****************************************************************

	FZ_CMND_MODEL_HELIX

	Description
		Identifier for the Helix tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_HELIX					"\x45\x7d\x3f\xec\x4c\xf0\x49\x27\xb3\x80\x34\x50\xb8\x44\x41\x3b"
/****************************************************************

	FZ_CMND_MODEL_HELIXSURF

	Description
		Identifier for the Surface Helix tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_HELIXSURF				"\x0e\x52\x1c\x09\x2d\x7c\x2a\x45\xab\xa3\x52\xa1\x8b\x32\xe8\xda"
/****************************************************************

	FZ_CMND_MODEL_HELIXWIRE

	Description
		Identifier for the Wire Helix tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_HELIXWIRE				"\x59\xa8\x4f\xee\x01\xbb\x87\x4e\x92\xda\x0e\x91\xc4\x32\x92\x5a"
/****************************************************************

	FZ_CMND_MODEL_SCRW_BOLT

	Description
		Identifier for the Screw/Bolt tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SCRW_BOLT				"\x9c\x3b\x7d\xdc\x96\x71\x4d\x87\x8a\x5b\x17\xdf\xcd\x22\xfd\xb2"
/****************************************************************

	FZ_CMND_MODEL_SPR_STAIR

	Description
		Identifier for the Spiral Stair tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SPR_STAIR				"\x29\xf3\xd3\x49\x59\x74\x48\xca\x81\xaa\x21\x64\x57\x28\x00\xfa"
/****************************************************************

	FZ_CMND_MODEL_SSTAIR

	Description
		Identifier for the Stair From Path tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SSTAIR				"\xc1\x9c\x47\xc9\x01\xa4\x48\xc4\x91\xa1\x43\x46\x3a\x39\x97\x57"
/****************************************************************

	FZ_CMND_MODEL_SWEEP_PATH

	Description
		Identifier for the Sweep tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SWEEP_PATH			"\xf3\xf4\xcc\xef\x43\x14\x40\x02\xad\x37\x00\x94\xb5\x8c\xf8\xb1"
/****************************************************************

	FZ_CMND_MODEL_SWEEPAXIS

	Description
		Identifier for the Axial Sweep tool.

	Availability	7.0.0.0

 ****************************************************************/
										
#define FZ_CMND_MODEL_SWEEPAXIS			"\xed\xb4\x87\x5c\xe2\xa2\x9a\x43\xaf\x39\x9f\xf0\x10\x66\xf1\x19"
/****************************************************************

	FZ_CMND_MODEL_SWEEP2PTH

	Description
		Identifier for the Two Path Sweep tool.

	Availability	7.0.0.0

 ****************************************************************/
										
#define FZ_CMND_MODEL_SWEEP2PTH			"\x2d\x71\x9e\x68\xed\xd5\xe4\x47\x88\xd4\x01\xf5\x78\x6b\xcf\xb5"
/****************************************************************

	FZ_CMND_MODEL_SWEEP2SRC

	Description
		Identifier for the Two Source Sweep tool.

	Availability	7.0.0.0

 ****************************************************************/
										
#define FZ_CMND_MODEL_SWEEP2SRC			"\x75\x92\xc9\xb5\xac\x2a\xe8\x4c\x89\x21\x2c\xd7\x92\xa9\x00\x60"
/****************************************************************

	FZ_CMND_MODEL_SWEEPBNDY

	Description
		Identifier for the Boundary Sweep tool.

	Availability	7.0.0.0

 ****************************************************************/
										
#define FZ_CMND_MODEL_SWEEPBNDY			"\xc7\x76\xa5\x68\x3d\x91\x90\x43\xb2\xfe\xa6\xd1\xb8\xb8\x80\xdc"
/****************************************************************

	FZ_CMND_MODEL_SWEEP_DRAFT

	Description
		Identifier for the Draft Sweep tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SWEEP_DRAFT			"\x2e\x4e\x82\xd1\xd0\x17\x45\x5f\x90\xb0\xc6\x8e\xed\xa2\xcc\x7a"
/****************************************************************

	FZ_CMND_MODEL_SKIN

	Description
		Identifier for the Skin tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SKIN					"\x15\x8e\xa0\x57\x16\x36\x40\x9c\xbc\x22\x38\xcb\x08\x44\xe3\xe8"
/****************************************************************

	FZ_CMND_MODEL_BLEND

	Description
		Identifier for the Blend tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_BLEND					"\x01\xff\xdc\xa6\x2c\xb2\x42\x6e\xb7\xf7\xc4\xde\x6b\xdd\x12\xee"
/****************************************************************

	FZ_CMND_MODEL_FILLET

	Description
		Identifier for the Fillet tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_FILLET				"\x29\x3e\xa7\x4d\x65\x5b\x49\x67\x99\x42\xb1\xb0\x7b\x03\x06\x21"
/****************************************************************

	FZ_CMND_MODEL_LOFT

	Description
		Identifier for the Loft tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LOFT					"\x85\x74\x2b\x0f\xe9\xf8\x4b\x6b\xb2\x0e\xc0\x75\x02\xab\xa8\x0a"
/****************************************************************

	FZ_CMND_MODEL_LOFT_BNZ

	Description
		Identifier for the Loft tool in Bonzai (simplified S-loft)

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LOFT_BNZ				"\x4b\xe3\x44\xdf\x43\x81\x0c\x4e\x80\x7e\x05\x4b\xfd\xb0\xb2\x4d"
/****************************************************************

	FZ_CMND_MODEL_ASKN

	Description
		Identifier for the Skin tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ASKN					"\x67\x2d\x88\x67\x79\xf3\x4c\x37\x80\xbb\x31\x09\x3f\xf7\x46\x0d"
/****************************************************************

	FZ_CMND_MODEL_CAP

	Description
		Identifier for the Cap tool.

	Availability	6.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CAP					"\x69\xec\x9e\x41\xdd\x1d\xb3\x41\xb2\xff\x0b\x31\x17\xd3\xdd\xc4"

/****************************************************************

	FZ_CMND_MODEL_VIEWMATCH

	Description
		Identifier for the View Match tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_VIEWMATCH				"\xfe\xe5\x38\xb6\x74\x44\xaf\x49\xa4\x45\x2b\x91\xb5\xab\x2e\xca"



/****************************************************************

	FZ_CMND_MODEL_POLYMESH

	Description
		Identifier for the Polygon Mesh tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_POLYMESH				"\x74\xa7\x77\xc4\x6b\x9f\x49\x7d\x80\x4d\xea\xe5\x21\x72\xcc\xae"

/****************************************************************

	FZ_CMND_MODEL_MMESH

	Description
		Identifier for the Mesh tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_MMESH					"\xcd\xa2\x1c\xc5\xcb\x15\x4c\x17\x90\x14\x66\x04\x0c\x86\xb7\xfe"
/****************************************************************

	FZ_CMND_MODEL_SMOTH_MESH

	Description
		Identifier for the Q-Subz tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SMOTH_MESH			"\x7e\x7c\x2b\x1f\x14\x98\x4e\x1e\x97\xc5\xc8\xdc\x11\xb5\xd4\xe9"
/****************************************************************

	FZ_CMND_MODEL_SUBS_CREATE

	Description
		Identifier for the T-Subz tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SUBS_CREATE			"\x03\x88\x05\x7b\x9b\xac\x45\xe1\xb2\x28\x75\x5e\xd3\x86\xec\x71"
/****************************************************************

	FZ_CMND_MODEL_OPTIMIZE

	Description
		Identifier for the Reduce Mesh tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_OPTIMIZE				"\x55\xab\x51\x64\x18\x13\x4a\x8a\xae\x6c\x32\x52\x85\xe1\x59\xad"
/****************************************************************

	FZ_CMND_MODEL_DPROF

	Description
		Identifier for the Define Profile tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DPROF					"\xe6\xb3\xab\xe4\xe0\xb6\x40\xc7\xa4\x24\x05\x6e\x6e\x54\xe9\xc9"
/****************************************************************

	FZ_CMND_MODEL_MMOVE

	Description
		Identifier for the Move Mesh tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_MMOVE					"\x83\x62\x1d\x95\xc9\xf7\x45\xc1\x8c\x28\xa4\x4a\xea\xd8\xd5\x69"
/****************************************************************

	FZ_CMND_MODEL_PNT_DSTB

	Description
		Identifier for the Disturb tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PNT_DSTB				"\x08\x52\x6a\xd4\xef\xc8\x41\x5e\xb5\x95\x47\x19\x09\x0f\x0a\x13"
/****************************************************************

	FZ_CMND_MODEL_DEFORM

	Description
		Identifier for the Deform tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DEFORM				"\x5a\x48\x12\xe1\x82\x42\x4a\x6c\x89\xd0\x18\x17\x83\x21\xdc\x0d"
/****************************************************************

	FZ_CMND_MODEL_DEFORM_TWIST

	Description
		Identifier for the Deform Twist tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DEFORM_TWIST			"\x46\x22\x91\x75\x8a\xa2\x98\x40\xbd\xf0\xac\x21\xd3\xd2\xc7\x5c"
/****************************************************************

	FZ_CMND_MODEL_DEFORM_RBEND

	Description
		Identifier for the Deform Radial Bend tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DEFORM_RBEND			"\x45\x5d\x4c\x17\xe8\x1a\xbb\x46\x91\x33\x1f\xdf\x14\x69\x08\xba"
/****************************************************************

	FZ_CMND_MODEL_DEFORM_TAPER

	Description
		Identifier for the Deform Taper tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DEFORM_TAPER			"\x07\x75\xd0\x88\xc1\x88\x49\x41\x82\xe8\xb1\x8e\x8f\x0a\x7a\xe5"
/****************************************************************

	FZ_CMND_MODEL_DEFORM_BULGE

	Description
		Identifier for the Deform Bulge tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DEFORM_BULGE			"\x48\xa4\x95\xf7\x72\x83\x4c\x44\x8d\x00\x91\x9e\xe7\x38\x21\x8b"

/****************************************************************

	FZ_CMND_MODEL_DISPLACE

	Description
		Identifier for the Displacement tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DISPLACE				"\x23\x46\x99\x1c\xcf\x2c\x44\xd3\x83\x25\x05\x9d\x3f\x19\x9c\xbc"
/****************************************************************

	FZ_CMND_MODEL_TRAIN

	Description
		Identifier for the Triangulate tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TRAIN					"\x90\x32\x74\x25\x8a\x53\x40\xce\xbb\xfa\x6b\x52\xa6\x32\xcc\x11"
/****************************************************************

	FZ_CMND_MODEL_BEND

	Description
		Identifier for the Bend Along Curve tool.

	Availability	5.5.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_BEND					"\x46\xd5\xea\x94\xcb\xae\x40\x0d\xa8\x6d\xb5\xb0\x18\xdc\x68\x46"
/****************************************************************

	FZ_CMND_MODEL_PROUND

	Description
		Identifier for the Plain Rounding tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PROUND				"\x4a\x93\x72\x0c\x26\x19\x4f\x67\x92\xed\xdc\xe3\x61\x7b\x7e\x9e"
/****************************************************************

	FZ_CMND_MODEL_CROUND

	Description
		Identifier for the Controlled Rounding tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CROUND				"\x3b\x9a\x39\x4f\x50\xad\x4c\xf2\x9e\x33\xb5\x2b\x01\xb4\xf7\xdf"
/****************************************************************

	FZ_CMND_MODEL_SROUND

	Description
		Identifier for the Stitch Rounding tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SROUND				"\x71\x88\xdb\xc6\x74\x3a\x40\xf9\xbc\x6a\xd9\x03\xdb\xcf\xee\x53"
/****************************************************************

	FZ_CMND_MODEL_DRFT_ANG

	Description
		Identifier for the Draft Angle tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DRFT_ANG				"\x01\xff\xdc\xa6\xc2\xb2\x42\x6e\xb7\xf7\xc4\xde\x6b\xdd\x12\xee"
/****************************************************************

	FZ_CMND_MODEL_SMOOT

	Description
		Identifier for the C-Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SMOOT					"\x92\xd6\x5f\x94\xa8\xad\x47\xe8\xa1\x28\x20\x3d\x8e\x45\x5e\xab"
/****************************************************************

	FZ_CMND_MODEL_CMESH

	Description
		Identifier for the C-Mesh tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CMESH					"\x37\x07\xfc\xdd\x5b\xf6\x4e\xd5\x8a\xd3\x49\x9d\x58\xbb\x5d\xb4"
/****************************************************************

	FZ_CMND_MODEL_PATCH_DERV

	Description
		Identifier for the Patch Derive tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PATCH_DERV			"\xda\x96\xfd\xaa\x26\x1b\x44\x03\x90\x79\x15\x28\x78\x00\xa2\xbe"
/****************************************************************

	FZ_CMND_MODEL_PATCH_GROW

	Description
		Identifier for the Patch Grow tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PATCH_GROW			"\xf5\xae\x23\x64\x88\x6a\x44\x2d\xbc\x76\x0f\x1d\xc5\x6b\xa1\x87"
/****************************************************************

	FZ_CMND_MODEL_PATCH_SDIV

	Description
		Identifier for the Patch Divide tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PATCH_SDIV			"\x7b\x9f\x4f\xab\xc5\x68\x49\xcf\x91\x60\x6c\x2d\xdc\x4d\xcc\x8c"
/****************************************************************

	FZ_CMND_MODEL_PATCH_ATCH

	Description
		Identifier for the Patch Attach tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PATCH_ATCH			"\xb6\x6d\x63\x21\x63\x9a\x49\x82\x8f\x28\x55\x34\x7a\xa0\x10\x34"
/****************************************************************

	FZ_CMND_MODEL_META_BALL

	Description
		Identifier for the Metaballs tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_META_BALL				"\x8b\x1a\xde\x81\xbf\xaf\x4a\x13\xaa\xe1\x9d\xa2\x20\x9d\xf9\x87"
/****************************************************************

	FZ_CMND_MODEL_META_DERV

	Description
		Identifier for the Metaformz Derive/Edit tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_META_DERV				"\x4b\xd6\x09\xcf\x6f\x19\x42\x7e\xb1\xc9\x8c\x9b\x60\xc1\xab\x3e"
/****************************************************************

	FZ_CMND_MODEL_META_EVAL

	Description
		Identifier for the Metaformz Evaluate tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_META_EVAL				"\xa4\x90\x7d\x2a\xa4\x47\x47\x0e\xad\x80\x4a\xc2\x31\x9a\x35\x8c"
/****************************************************************

	FZ_CMND_MODEL_UNION

	Description
		Identifier for the Union tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_UNION					"\xdd\x36\x75\x17\xfd\xba\x4a\x8c\x8e\x11\xdf\x40\xbe\xed\x4c\xd8"
/****************************************************************

	FZ_CMND_MODEL_INSECT

	Description
		Identifier for the Intersection tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_INSECT				"\xa9\xef\x93\x97\x59\x1b\x45\x02\xb4\x4d\xf8\x10\x3e\xab\x7d\xb4"
/****************************************************************

	FZ_CMND_MODEL_DIFFER

	Description
		Identifier for the Difference tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DIFFER				"\x97\x96\x9c\x22\xb8\xa0\x41\xd3\x80\x5b\xee\x3b\x9f\xfb\xe0\xf0"
/****************************************************************

	FZ_CMND_MODEL_SPLIT

	Description
		Identifier for the Boolean Split tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SPLIT					"\x57\xee\x26\xe7\xf0\x85\x49\x69\x95\x60\x98\x54\xd3\x55\x46\x17"
/****************************************************************

	FZ_CMND_MODEL_TRIM_SS

	Description
		Identifier for the Trim/Split tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TRIM_SS				"\x78\x55\xac\x58\xec\x96\x4b\xc8\x92\xeb\x4a\x14\x4b\x8f\xfb\x5d"
/****************************************************************

	FZ_CMND_MODEL_LINE_INSCT

	Description
		Identifier for the Line Of Intersection tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LINE_INSCT			"\x1d\x96\x55\x34\x69\x62\x45\x66\x97\xc2\x02\x54\x3c\xc1\xd8\x70"
/****************************************************************

	FZ_CMND_MODEL_STITCH

	Description
		Identifier for the Stitch tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_STITCH				"\x42\xa6\xd0\xd3\x3e\xc7\x48\x64\xb5\x0f\x85\xcb\xc4\x76\x5b\x80"
/****************************************************************

	FZ_CMND_MODEL_SECT_2D

	Description
		Identifier for the Section tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SECT_2D				"\xa1\xe4\x3f\xcc\x52\x2d\x47\x2d\xb2\x49\xfa\x0a\x88\xbd\xb9\x4d"
/****************************************************************

	FZ_CMND_MODEL_SECT_CONT

	Description
		Identifier for the Contours tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SECT_CONT				"\x0a\xbc\x54\xd1\xc1\xe9\x43\x35\xaf\xe9\x50\xe1\x6b\x41\xa8\x9f"
/****************************************************************

	FZ_CMND_MODEL_CAGE

	Description
		Identifier for the Cage tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CAGE					"\x0e\x55\x66\x62\xa7\xdb\x41\xd9\xa5\xb9\x2e\x35\x67\xff\x4b\xac"
/****************************************************************

	FZ_CMND_MODEL_JOIN

	Description
		Identifier for the Join tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_JOIN					"\x7f\xeb\x58\xf7\x8f\x64\x42\x1a\xb2\xac\x2d\x43\x34\xca\xa2\xb7"
/****************************************************************

	FZ_CMND_MODEL_SEPER

	Description
		Identifier for the Separate tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SEPER					"\xf9\x20\x6f\xf6\xb3\xde\x42\xd1\xa7\x1c\xea\x65\xcb\x61\x2e\xf0"
/****************************************************************

	FZ_CMND_MODEL_GROUP

	Description
		Identifier for the Group tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_GROUP					"\xe0\xa7\xd2\x4e\xce\x39\x4f\x08\xa8\x17\xa1\x79\x77\xab\xf2\xe1"
/****************************************************************

	FZ_CMND_MODEL_UNGROUP

	Description
		Identifier for the Ungroup tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_UNGROUP				"\x3e\x97\x11\x3d\xbc\xdc\x4e\x83\x88\xba\x5f\x98\xb8\xf4\x9a\x12"
/****************************************************************

	FZ_CMND_MODEL_TEXT_PL

	Description
		Identifier for the Text Place tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TEXT_PL				"\xb2\xbd\xb4\x35\xad\xec\x4b\xbe\x95\xf9\xd6\x6d\x1d\x7a\x16\x78"
/****************************************************************

	FZ_CMND_MODEL_TEXT_ED

	Description
		Identifier for the Text Edit tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TEXT_ED				"\x0c\x1b\xb4\xfd\x1e\x61\x4d\x49\xba\x8d\xc0\x48\x24\xa0\x2c\xa5"
/****************************************************************

	FZ_CMND_MODEL_TEXT_SRCH

	Description
		Identifier for the Text Edit tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TEXT_SRCH				"\x76\xb8\x86\xb3\x43\xb3\x4e\x0a\x80\xde\xe3\x16\xec\x75\xfd\xb5"
/****************************************************************

	FZ_CMND_MODEL_SYMB_CR

	Description
		Identifier for the Symbol Create tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SYMB_CR				"\x1d\x7c\x0f\x95\xfc\x6f\x40\x36\xac\x92\xd8\x77\xbd\x34\xc6\x53"
/****************************************************************

	FZ_CMND_MODEL_SYMB_PL

	Description
		Identifier for the Symbol Place tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SYMB_PL				"\x28\x4c\x4f\x99\xc6\x17\x44\xd6\x81\xb8\xc6\xcd\x4c\xcc\x7e\x14"
/****************************************************************

	FZ_CMND_MODEL_SYMB_ED

	Description
		Identifier for the Symbol Edit tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SYMB_ED				"\x46\x76\x75\x0c\x8d\xbb\x49\xb1\x8b\xa2\x6d\xbe\x21\x2c\xeb\xa7"
/****************************************************************

	FZ_CMND_MODEL_SYMB_EX

	Description
		Identifier for the Symbol Explode tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SYMB_EX				"\x09\x9f\xc2\x2a\x6c\x8f\x41\x5c\xb4\x37\xa2\xd0\xce\x1e\xa5\x4c"
/****************************************************************

	FZ_CMND_MODEL_PLCT

	Description
		Identifier for the Place Content tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PLCT					"\x11\x26\xb3\x3e\x1c\xda\x4d\xdc\xaf\x8d\x9d\xa1\xa3\xbb\x2a\x1d"
/****************************************************************

	FZ_CMND_MODEL_CRCT

	Description
		Identifier for the Create Content tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CRCT					"\xaf\xd8\xca\x3b\x6c\xc5\xa1\x41\x94\xbb\x6b\x46\x35\x87\xaa\x65"
/****************************************************************

	FZ_CMND_MODEL_PLWN

	Description
		Identifier for the Create Content tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PLWN					"\xef\x7c\x3c\x8b\x8f\x5a\x4b\xe0\xb6\xc5\x67\xb1\xc4\x27\xe2\x71"
/****************************************************************

	FZ_CMND_MODEL_CRWN

	Description
		Identifier for the Create Window tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CRWN					"\xfa\x59\xbc\xf0\xda\xe8\x42\x78\x9c\x33\xcc\xb3\xb0\x9d\xe1\xa3"
/****************************************************************

	FZ_CMND_MODEL_REPO_WNDR

	Description
		Identifier for the Reposition Window tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_REPO_WNDR				"\xdb\xa5\xe6\x6e\xb4\x4b\x4f\x24\xa7\xfd\x3e\x22\xfe\x33\xe3\x9c"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_BRAK

	Description
		Identifier for the Break Line tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_BRAK			"\x9c\x1d\x5c\x73\x9f\xfb\x4d\x91\xa1\x69\xd8\x07\x01\x74\x0f\x86"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_CLOS

	Description
		Identifier for the Close Line tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_CLOS			"\x86\xb9\xc0\xf5\x17\x3f\x40\xc4\xa2\xdf\x57\x7e\xc3\x4c\x59\xa6"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_TRIM

	Description
		Identifier for the Trim Lines tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_TRIM			"\x47\x12\x12\x68\x27\xdf\x4c\x68\xbc\xa2\x3d\x14\xc2\x70\x69\x97"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_CNCT

	Description
		Identifier for the Connect Lines tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_CNCT			"\xba\x01\xd4\x2f\xd7\x38\x46\xc9\xa7\x33\xa8\x0a\x6a\x19\x08\x23"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_CNCT_END

	Description
		Identifier for the Connect Ends tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_CNCT_END		"\x58\x7e\xe4\xa2\x80\x10\x42\xca\xbb\x2c\x19\xa3\x84\xe2\x10\x1a"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_CNCT_LIN

	Description
		Identifier for the Connect Lines/Wires tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_CNCT_LIN		"\x40\xba\xb3\x7c\x22\xe5\x4a\x07\xab\x6f\xd7\x74\x05\x96\x57\x23"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_LINK

	Description
		Identifier for the Join Lines tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_LINK			"\xca\xad\xc2\x11\x6b\x90\x43\xdd\x8f\x9e\x49\x19\x5a\x2c\xb9\x29"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_FILT

	Description
		Identifier for the Fit Fillet/Bevel Lines tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_FILT			"\x25\x71\xa7\x74\x15\x9b\x41\x9f\x9b\x21\xcc\xdd\xd8\x30\x99\x7d"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_INSPT

	Description
		Identifier for the Insert Point tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_INSPT			"\xdd\xcf\x2b\x97\xa0\x4c\x4a\xa8\x85\x97\x20\x7d\x2e\x96\x96\x84"
/****************************************************************

	FZ_CMND_MODEL_LEDIT_INSSG

	Description
		Identifier for the Insert Segment tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LEDIT_INSSG			"\xf2\x5a\xc7\xc6\xc8\x02\x43\x70\x94\xb9\x2e\xd7\x18\x2c\x19\x6d"
/****************************************************************

	FZ_CMND_MODEL_INSERT_CNTL

	Description
		Identifier for the Insert Control Point/Knot tool.

	Availability	7.0.0.0

 ****************************************************************/
#define FZ_CMND_MODEL_INSERT_CNTL		"\x32\x73\x34\x8f\x81\xd1\xb6\x41\x94\x10\xe8\x07\x43\x49\x3c\xef"

/****************************************************************

	FZ_CMND_MODEL_SET_1PT

	Description
		Identifier for the Make First Point tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SET_1PT				"\x83\x46\x8c\xb3\x13\x19\x48\x3b\x8b\x99\x13\x99\x8f\x93\xd4\x8c"
/****************************************************************

	FZ_CMND_MODEL_REVOBJT

	Description
		Identifier for the Reverse Direction tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_REVOBJT				"\x9f\xca\x56\x60\x3b\x36\x40\x2f\x9f\xbc\x9d\xb2\x0d\xfc\x77\x4d"
/****************************************************************

	FZ_CMND_MODEL_SURF_TYPE

	Description
		Identifier for the Make One/Two Sided tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SURF_TYPE				"\xf2\x2e\xd4\x87\xea\x14\x4c\x5c\xb1\x7e\xdb\x50\xe2\x2d\x5d\xc6"
/****************************************************************

	FZ_CMND_MODEL_MARK_PT

	Description
		Identifier for the Set/Clear Point Marker tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_MARK_PT				"\xc6\x56\xac\xd5\x0c\xc4\x41\xbf\x87\xe7\x90\x1e\xb5\x67\x5a\x66"
/****************************************************************

	FZ_CMND_MODEL_COVERW

	Description
		Identifier for the Cover/Uncover Wire tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_COVERW				"\x1f\x21\x20\x32\xc2\x81\x49\x08\xaf\x5e\xf4\x4c\x1f\xc6\x3e\xed"
/****************************************************************

	FZ_CMND_MODEL_DROP_CNTL

	Description
		Identifier for the Convert Object tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DROP_CNTL				"\xee\x13\xea\xc1\xbf\x44\x43\x76\x93\x09\x01\x41\x6d\x56\x9e\xf6"
/****************************************************************

	FZ_CMND_MODEL_EXTR_CNTL

	Description
		Identifier for the Extract tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_EXTR_CNTL				"\x3c\xae\x78\x7e\xc6\x29\x4e\x47\x83\x3a\x25\x52\x87\xd3\x38\x74"
/****************************************************************

	FZ_CMND_MODEL_REPLACE

	Description
		Identifier for the Replace tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_REPLACE				"\x0d\x42\xf8\x6a\xad\xee\x48\x85\xb4\x1a\x56\xd7\x6a\x1d\x2d\x8c"
/****************************************************************

	FZ_CMND_MODEL_UNCLONE

	Description
		Identifier for the Unclone tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_UNCLONE				"\x4d\x2d\x82\x43\xea\x18\x46\x3c\x84\xcf\x71\x20\xb2\x08\xa8\xcd"
/****************************************************************

	FZ_CMND_MODEL_QUERY

	Description
		Identifier for the Query tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_QUERY					"\x88\xca\xf6\xbf\xf5\x5a\x4f\x8a\xb1\x1d\x5c\xc7\x84\x8f\x1a\x0f"
/****************************************************************

	FZ_CMND_MODEL_QUERYP

	Description
		Identifier for the Query Attributes tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_QUERYP				"\x9b\x48\x08\xc7\x50\x98\x47\xeb\xbc\x5b\x6d\xfc\x01\x0d\x69\xc7"
/****************************************************************

	FZ_CMND_MODEL_QUERYM

	Description
		Identifier for the Measure tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_QUERYM				"\x2e\x7a\x21\x89\x10\xed\x4b\x6f\xab\x67\xfa\xaf\x81\x86\x3a\xd6"
/****************************************************************

	FZ_CMND_MODEL_DOCTOR

	Description
		Identifier for the Object Doctor tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DOCTOR				"\xf7\x64\x9d\x6a\x7c\x00\x48\xf1\xaf\xc1\xef\xd1\xfe\x3f\xfa\x21"
/****************************************************************

	FZ_CMND_PROJ_DOCTOR

	Description
		Identifier for the Project Doctor tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_PROJ_DOCTOR					"\x40\x97\x96\xdb\x47\x0f\x44\xcc\x9b\xfc\x1d\xae\x15\x31\xc9\x93"
/****************************************************************

	FZ_CMND_COPY_ATTRS

	Description
		Identifier for the Copy Attributes tool.

	Availability	5.0.0.0

 ****************************************************************/
#define FZ_CMND_COPY_ATTRS					"\xd5\x4f\xa0\x50\xfa\x9f\x48\xd9\x8c\xd8\xba\x90\x6b\xeb\x22\x62"

/****************************************************************

	FZ_CMND_BAKE_TXR

	Description
		Identifier for the Bake Textures tool.

	Availability	6.0.0.0

 ****************************************************************/
#define FZ_CMND_BAKE_TXR					"\x8a\x7e\xab\x6e\xf0\x07\x4d\x95\xa5\x47\x0f\xaa\xc1\xa4\x29\xeb"

/****************************************************************

	FZ_CMND_MODEL_TRANS

	Description
		Identifier for the Translate (Move) tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TRANS					"\x45\x89\xc0\x94\x3f\xa1\x42\x4e\xb2\xf1\xe9\xf3\x02\xb2\x37\xef"
/****************************************************************

	FZ_CMND_MODEL_ROTATE

	Description
		Identifier for the Rotate tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ROTATE				"\xc0\x1f\xa1\x3c\x09\xd8\x45\x33\xb2\xe2\x8d\x38\x64\x8e\xe0\xf0"
/****************************************************************

	FZ_CMND_MODEL_SCALE

	Description
		Identifier for the Independent Scale tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SCALE					"\xc7\xaa\xb5\x3e\x72\x2b\x4c\x4c\xa9\x3d\x82\xaa\x75\x44\x89\x67"
/****************************************************************

	FZ_CMND_MODEL_USCALE

	Description
		Identifier for the Uniform Scale tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_USCALE				"\xbb\x9c\x02\xea\xf6\x93\x44\x6c\x9d\x39\x54\x89\x83\x7e\x2a\xd8"
/****************************************************************

	FZ_CMND_MODEL_REFECT

	Description
		Identifier for the Mirror (Reflect) tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_REFECT				"\x47\xe0\x4d\x28\x89\x9f\x42\x7b\x8f\xec\x81\xf8\x24\x7b\x66\xf6"
/****************************************************************

	FZ_CMND_MODEL_LASTFM

	Description
		Identifier for the Repeat Last Transformation tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_LASTFM				"\xbc\xfe\x0c\x03\xa7\x20\x43\x1e\xba\x39\x41\xdd\x6a\x94\xae\xb2"
/****************************************************************

	FZ_CMND_MODEL_TMAC_1

	Description
		Identifier for the Macro Transformation 1 tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TMAC_1				"\x8c\xfb\xa5\x15\xa0\x76\x4d\xf4\xba\x0b\xbf\xf0\x2c\xff\xc6\xfd"
/****************************************************************

	FZ_CMND_MODEL_TMAC_2

	Description
		Identifier for the Macro Transformation 2 tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TMAC_2				"\xd5\xde\xd4\x36\x61\x46\x48\x24\xb3\x5f\xd1\xe6\xe3\x64\x89\x94"
/****************************************************************

	FZ_CMND_MODEL_TMAC_3

	Description
		Identifier for the Macro Transformation 3 tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TMAC_3				"\x61\x9d\xc8\x47\x0f\xb2\x46\x9f\xbe\xe5\x66\x14\x91\x72\x24\x3d"
/****************************************************************

	FZ_CMND_MODEL_ATTOBJT

	Description
		Identifier for the Attach tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTOBJT				"\xef\x1b\xcc\x62\xc5\x4a\x4e\x23\xb9\xad\xd5\x6f\xb0\xb6\x0c\x0f"
/****************************************************************

	FZ_CMND_MODEL_ALIGN_OBJT

	Description
		Identifier for the Align/Distribute tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ALIGN_OBJT			"\xb0\x35\x6c\x75\x36\xbc\x42\x3d\x8d\x7f\x97\x78\xd2\x67\xc3\x7a"
/****************************************************************

	FZ_CMND_MODEL_EXTEND3D

	Description
		Identifier for the Extend tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_EXTEND3D				"\x09\x1c\x42\x54\x77\x89\x47\x2c\x83\x58\x87\xc4\xc9\x0c\x0f\xd7"
/****************************************************************

	FZ_CMND_MODEL_PLCSEGT

	Description
		Identifier for the Place tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PLCSEGT				"\xa7\x4a\x1d\x09\xbf\xd7\x43\xab\x8b\xb4\x35\xb6\x62\x32\xb7\xd1"
/****************************************************************

	FZ_CMND_MODEL_ATTRSURF

	Description
		Identifier for the Color tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRSURF				"\x46\xd9\x46\x42\xe3\x2f\x4d\xd2\xb4\x98\xe2\x2c\xd4\x0a\xe4\x32"
/****************************************************************

	FZ_CMND_MODEL_ATTRSMTH

	Description
		Identifier for the Smooth Shade tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRSMTH				"\x03\x35\x8e\xe3\xf5\xf2\x4c\x62\x8e\x75\x00\x4e\x7d\x53\x3d\xa2"
/****************************************************************

	FZ_CMND_MODEL_ATTRSHAD

	Description
		Identifier for the Render Attributes tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRSHAD				"\xfd\x12\xc5\xe7\x43\x22\x44\x76\x8e\x4d\x8e\x79\x62\x9b\x11\x8b"

/****************************************************************

	FZ_CMND_MODEL_ATTRRADS

	Description
		Identifier for the Radiosity Attributes tool.

	Availability	6.5.0.0

 ****************************************************************/
#define FZ_CMND_MODEL_ATTRRADS				"\x9d\x2c\x5d\x62\x9f\xee\x11\xda\x8e\x35\x00\x03\x93\x63\x5d\xbc"

/****************************************************************

	FZ_CMND_MODEL_ATTRTXMP

	Description
		Identifier for the Texture Map tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRTXMP				"\xff\x4f\x38\x1f\x59\x59\x44\x98\x8c\x64\xa5\x71\xcf\x8d\xd3\x50"
/****************************************************************

	FZ_CMND_MODEL_ATTRDCAL

	Description
		Identifier for the Decal tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRDCAL				"\x2a\x7b\xb9\xa3\x2b\x81\x4f\xde\x8f\xb8\x99\x03\x7f\xfb\x01\xde"
/****************************************************************

	FZ_CMND_MODEL_ATTR_SET

	Description
		Identifier for the Set Attributes tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTR_SET				"\xa4\x6e\x1b\x3a\xd0\x4a\x46\x0e\xb9\xb0\x7d\x26\x3f\xe1\x37\x6e"
/****************************************************************

	FZ_CMND_MODEL_ATTR_GET

	Description
		Identifier for the Get Attributes tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTR_GET				"\x6e\x92\xa1\x8f\x57\x61\x48\x7e\xa5\x58\xa3\xc3\xdf\x4a\xfd\x5b"
/****************************************************************

	FZ_CMND_MODEL_ATTRGHST

	Description
		Identifier for the Ghost tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRGHST				"\x0a\x90\x5b\x1a\xe4\x10\x45\x7a\xb8\x51\xf8\x78\x7c\xaa\xe7\x93"
/****************************************************************

	FZ_CMND_MODEL_ATTRTSHG

	Description
		Identifier for the Unghost tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_ATTRTSHG				"\x41\x2b\xac\x6a\x5b\x96\x4b\xad\x83\xe9\x2c\xef\x96\x94\xa0\x4e"
/****************************************************************

	FZ_CMND_MODEL_CH_LAYER

	Description
		Identifier for the Set Layer tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CH_LAYER				"\x23\x3f\x6f\x75\xfe\x0b\x4d\xf1\x9e\x6c\x09\xcb\x92\x21\x52\x24"
/****************************************************************

	FZ_CMND_MODEL_DELETE_TOOL

	Description
		Identifier for the Delete tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DELETE_TOOL			"\xef\x4b\x66\xdb\x17\x60\x4b\x5b\xb0\xbc\x75\xb7\x31\x02\x1c\x4d"
/****************************************************************

	FZ_CMND_MODEL_DEL_TOPO

	Description
		Identifier for the Delete Topology tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DEL_TOPO				"\x3f\xf8\x6e\x37\x86\x8d\x4c\xd3\xbf\x41\x27\x2f\x50\x85\x41\x84"
/****************************************************************

	FZ_CMND_MODEL_CH_DEL_GEOM

	Description
		Identifier for the Delete Geometry tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_CH_DEL_GEOM			"\xa7\x23\xd3\x1f\x87\xeb\x48\xfe\x84\xe9\x1e\x36\x3a\x51\xfc\x69"
/****************************************************************

	FZ_CMND_MODEL_GEN_2DSURF

	Description
		Identifier for the 2D Surface modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_GEN_2DSURF			"\xce\xa4\xb0\xa4\x0b\x64\x44\x7b\xa2\x98\xbd\xc4\xcf\x28\x45\xb3"
/****************************************************************

	FZ_CMND_MODEL_GEN_DOUB2D

	Description
		Identifier for the 2D Enclosure modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_GEN_DOUB2D			"\xc4\x5c\xf2\x6d\x4a\xfa\x44\xac\x9f\x18\x05\x3f\xd7\xfa\x36\x9a"
/****************************************************************

	FZ_CMND_MODEL_GEN_EXTRUD

	Description
		Identifier for the 3D Extrusion modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_GEN_EXTRUD			"\x1a\x7a\x9c\x11\x91\x8c\x49\xe2\x91\x0d\x1c\xc9\x65\xad\xe0\xf4"
/****************************************************************

	FZ_CMND_MODEL_GEN_EXTPNT

	Description
		Identifier for the 3D Converged modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_GEN_EXTPNT			"\x4f\xff\xa0\x77\x23\x2c\x46\x37\xab\x67\xf5\x2c\x0c\xcf\x39\x5a"
/****************************************************************

	FZ_CMND_MODEL_GEN_DOUB3D

	Description
		Identifier for the 3D Enclosure modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_GEN_DOUB3D			"\x43\x9c\xe5\xa8\x63\xea\x44\x87\x9f\x0f\x7f\x96\xc6\xd8\xe7\x22"
/****************************************************************

	FZ_CMND_MODEL_INS_CURVE

	Description
		Identifier for the Insert Outline tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_INS_CURVE				"\xcb\x7e\x31\x24\x94\x54\x46\x83\xa4\xe6\x6c\xc9\x16\xbf\x18\x92"
/****************************************************************

	FZ_CMND_MODEL_INS_FACE

	Description
		Identifier for the Insert Face/Volume tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_INS_FACE				"\xd9\x10\x38\x03\x69\xd7\x45\xd2\xac\x29\xdf\x3e\x83\x28\x3a\x68"
/****************************************************************

	FZ_CMND_MODEL_INS_HOLEBL

	Description
		Identifier for the Insert Hole tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_INS_HOLEBL			"\xf3\x97\x0c\x8d\xfd\x13\x44\xd5\xad\x48\x48\x55\x6b\x74\x10\x1f"
/****************************************************************

	FZ_CMND_MODEL_INS_OPENIN

	Description
		Identifier for the Insert Opening tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_INS_OPENIN			"\xff\xfe\xd2\xc6\x50\x3e\x42\xe9\x9e\x34\xb6\x93\xff\x0e\x5a\xb6"
/****************************************************************

	FZ_CMND_MODEL_PPNT

	Description
		Identifier for the Point Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PPNT					"\x55\x38\x8d\x91\xc3\x11\x4c\xb6\xaa\x44\xc4\x27\x9f\x19\x0d\x54"
/****************************************************************

	FZ_CMND_MODEL_PSEGT

	Description
		Identifier for the Segment Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PSEGT					"\x48\x46\xe7\x11\x07\xae\x4b\x7f\x8b\x29\xc7\x8c\x50\xbc\x70\xce"
/****************************************************************

	FZ_CMND_MODEL_PCURV

	Description
		Identifier for the Outline Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PCURV					"\x35\x1f\xe5\x4d\x76\x72\x47\x6b\x9e\x2a\x0b\xbb\x2c\x9b\xc2\x27"
/****************************************************************

	FZ_CMND_MODEL_PFACE

	Description
		Identifier for the Face Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PFACE					"\xe1\xb1\x6b\x59\xb5\xbc\x44\xf0\x85\x14\xee\x63\x93\x94\x11\x3f"
/****************************************************************

	FZ_CMND_MODEL_POBJT

	Description
		Identifier for the Object Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_POBJT					"\xc9\xf3\x58\x62\x9e\x07\x46\xc0\xb4\x53\xe4\x7a\x7b\x36\xeb\x3e"
/****************************************************************

	FZ_CMND_MODEL_PGRUP

	Description
		Identifier for the Group Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PGRUP					"\xa2\x21\x81\x7d\xcc\x0a\x42\x9d\x88\xd8\x6d\xe6\x30\xd5\x80\x9b"
/****************************************************************

	FZ_CMND_MODEL_PHOLE

	Description
		Identifier for the Hole/Volume Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PHOLE					"\x81\x1a\x47\x4f\x89\x63\x4b\xa8\x8f\x8a\x35\x5c\xe7\x6f\x14\x05"
/****************************************************************

	FZ_CMND_MODEL_PAUTO

	Description
		Identifier for the Automatic Topological Level modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PAUTO					"\x0e\x62\x14\x7c\x6c\x8c\x44\x4f\xbf\x2d\xb4\xee\x56\x06\x6b\x83"
/****************************************************************

	FZ_CMND_MODEL_SELF

	Description
		Identifier for the Self modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SELF					"\x9b\x84\x14\x93\x9c\xe1\x40\x8a\x8a\xff\xa9\xf7\x35\x69\x56\x73"
/****************************************************************

	FZ_CMND_MODEL_SCOPY

	Description
		Identifier for the One Copy modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_SCOPY					"\x49\xf1\x8e\xd4\x9e\xf0\x46\xc4\x9f\xbe\x69\x76\x82\xbb\xed\x7e"
/****************************************************************

	FZ_CMND_MODEL_COPY

	Description
		Identifier for the Continuous Copy modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_COPY					"\xba\xdc\x8b\x5a\xb9\x2e\x45\xcb\x9e\x7a\x33\x0b\xcd\x3b\x94\xba"
/****************************************************************

	FZ_CMND_MODEL_RCOPY

	Description
		Identifier for the Repeat Copy modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_RCOPY					"\x46\x44\x42\xfc\x77\x94\x46\x32\xb1\x26\xf7\x4a\xb5\x8d\x2b\x27"
/****************************************************************

	FZ_CMND_MODEL_MCOPY

	Description
		Identifier for the Multi-Copy modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_MCOPY					"\xd9\x3b\x14\xed\xa8\x3f\x4a\x66\x98\x72\x82\x8f\x18\x8d\x1f\x13"
/****************************************************************

	FZ_CMND_MODEL_TMACRO

	Description
		Identifier for the Define Macro Transformation modifier tool.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_TMACRO				"\x57\x3c\x18\xcf\x76\x97\x47\xb9\xbf\xe9\xd4\xbd\xed\x47\xeb\x23"
/****************************************************************

	FZ_CMND_MODEL_PSURF

	Description
		Identifier for the Formula Surface tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PSURF					"\x4b\xe6\x7d\xfd\xaa\xf6\x4b\x62\x96\x42\x23\xee\x45\x22\x93\x7d"
/****************************************************************

	FZ_CMND_MODEL_FCRV

	Description
		Identifier for the Formula Curve tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_FCRV					"\x96\xe0\x98\xf8\x7e\x85\x42\x73\xb6\x9f\x84\xb3\x70\xe8\x9e\xaf"
/****************************************************************

	FZ_CMND_MODEL_PRBL

	Description
		Identifier for the Paraboloid tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_PRBL					"\xef\xa9\xbc\xc8\x3f\xa0\x4d\x33\x97\xb3\x07\x30\x63\xb7\x60\xa5"
/****************************************************************

	FZ_CMND_MODEL_HBL1

	Description
		Identifier for the Single Hyperboloid tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_HBL1					"\xf0\x1f\xd2\xe9\xb0\x97\x4f\x67\x8f\x8d\xe0\xed\x06\xe5\x40\x35"
/****************************************************************

	FZ_CMND_MODEL_HBL2

	Description
		Identifier for the Double Hyperboloid tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_HBL2					"\xf9\x79\xd9\xc4\x18\x30\x4f\x9b\xbf\x94\x92\xf7\xc8\x9c\x2c\xbd"
/****************************************************************

	FZ_CMND_MODEL_HPBL

	Description
		Identifier for the Hyperbolic Paraboloid tool.

	Availability	5.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_HPBL					"\x85\x92\xe1\x7b\x6e\xb2\x48\xbc\x97\x69\xb8\xf8\x58\x62\x4b\xb0"
/****************************************************************

	FZ_CMND_MODEL_PROJECT_CURVE

	Description
		Identifier for the Project Curve tool

	Availability	6.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_PROJECT_CURVE			"\xa9\x69\x88\x8e\xae\x7d\x43\x48\xbb\xfe\x03\xff\xbe\x23\xca\xe4"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_EXTEND

	Description
		Identifier for the Extend Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ON_SRF_EXTEND	"\xfb\x6d\x2e\x5d\x0d\xb5\x73\x42\xa3\x00\x4e\xf3\x12\x69\x48\xdc"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_OFFSET

	Description
		Identifier for the Offset Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ON_SRF_OFFSET	"\xd1\xd6\x90\xd1\x71\x74\x5f\x40\x9d\x5a\x74\x24\x31\x02\x98\x86"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_EMBOSS

	Description
		Identifier for the Emboss tool.

	Availability	7.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_CURV_ON_SRF_EMBOSS	"\x89\x9f\xc5\xb2\xaa\x83\x7a\x4f\xa1\xa5\x2d\x3e\x25\x2d\x1e\xf1"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_ENGRAVE

	Description
		Identifier for the Engrave tool.

	Availability	7.0.0.0

 ****************************************************************/
												
#define FZ_CMND_MODEL_CURV_ON_SRF_ENGRAVE	"\xff\x7f\x37\x64\xd3\x52\x35\x42\x96\xca\xa8\xb6\xf4\x5a\xa5\xe9"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_BLEND

	Description
		Identifier for the Blend Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ON_SRF_BLEND		"\x86\x38\x23\x7a\xdf\x87\xdb\x49\xa9\x79\xe0\xb7\x2d\xa6\xc6\xe9"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_TRIM

	Description
		Identifier for the Trim Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/

													
#define FZ_CMND_MODEL_CURV_ON_SRF_TRIM		"\x38\x39\xd6\x18\x00\x28\xcd\x40\xad\x13\x39\x48\xef\xce\x59\x00"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_MOVE

	Description
		Identifier for the Move Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ON_SRF_MOVE	"\x6a\x07\x28\xab\xe2\x12\x02\x46\xb5\xdb\x39\xc3\x69\xed\x72\x9a"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_SCALE

	Description
		Identifier for the Scale Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ON_SRF_SCALE	"\x7e\x23\x04\x5d\xf3\xe2\x7b\x41\xb4\xe2\xda\xe9\x54\xae\x1a\x1b"

/****************************************************************

	FZ_CMND_MODEL_MOVE_SEAM

	Description
		Identifier for the Move Seam tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_MOVE_SEAM			"\x07\xb1\xfa\x2c\xbf\xac\x5d\x4a\xad\x8b\x3c\xac\x9f\x8d\x3a\xb1"

/****************************************************************

	FZ_CMND_MODEL_CURV_ON_SRF_ROTATE

	Description
		Identifier for the Rotate Curve On Surface tool.

	Availability	6.0.0.0

 ****************************************************************/
													
#define FZ_CMND_MODEL_CURV_ON_SRF_ROTATE	"\x36\x36\x36\xf9\x37\xbc\x67\x4c\x93\x9f\x55\xc8\x2d\x40\x17\x9b"

/****************************************************************

	FZ_CMND_MODEL_QUEMAS

	Description
		Identifier for the Mass Properties tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_QUEMAS				"\x4d\x54\x0d\x54\x5e\xdc\x4c\xf6\xba\xb7\x8e\xbc\x5d\x8f\x5d\x3d"

/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_PRIM

	Description
		Identifier for the Primitives tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_PRIM		"\x5c\x61\x2d\x66\xfd\xfa\x40\xf0\x9a\x14\x2b\x1f\xba\x58\x41\xbb"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_BALL

	Description
		Identifier for the Balls tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_BALL		"\xac\x42\x74\x56\x75\xcb\x46\xa4\xbe\x92\x9f\xce\x69\x84\xe2\xdf"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_OBJ_TYPE

	Description
		Identifier for the Object Type tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_OBJ_TYPE	"\xb0\x1e\xf2\xfc\xca\x48\x49\x36\xa3\xf4\xb1\xbc\x7f\xdd\xf8\x9d"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_INSERT

	Description
		Identifier for the Insertions tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_INSERT		"\x77\xe7\xe9\x68\xcc\x32\x45\xed\xb8\x63\x3e\xc3\xeb\xa0\xd7\x8f"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_POLY

	Description
		Identifier for the Polygons and Circles tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_POLY		"\x15\x1b\xe4\x6b\x0f\xbc\x4b\xec\xb9\xe9\x49\xd7\xc6\x0d\xa4\x95"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_SPLINE

	Description
		Identifier for the Point, Lines, Splines, and Arcs tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_SPLINE		"\x80\xdc\x76\xfb\x7e\x8e\x40\x4c\xbd\x25\x06\xe7\x4a\x08\xff\x45"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_TOPO

	Description
		Identifier for the Topological Levels tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_TOPO		"\xee\x81\xb4\x8f\x6c\x33\x4b\x9b\xaf\xab\x06\x38\x26\x2f\x51\x21"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_PICK

	Description
		Identifier for the Pick/Edit tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_PICK		"\x74\x52\xf1\xa1\x4f\x95\x41\xd1\xb6\xd3\x86\xf4\x2b\xc2\x77\x21"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_DERV1

	Description
		Identifier for the Derivatives 1 tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_DERV1		"\xc5\x0e\x3d\x59\xe1\xca\x4e\x8c\xa3\x8b\x15\x28\x4e\x6d\x1d\xc7"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_DERV2

	Description
		Identifier for the Derivatives 2 tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_DERV2		"\x26\x4f\x79\xc2\x0d\xba\x4d\xcb\xbf\x34\xc4\xb9\x9b\x21\xfa\x41"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_MESH

	Description
		Identifier for the Meshes and Deform tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_MESH		"\xcb\x59\xcc\x9d\xf7\x48\x47\xaa\x83\xd7\xbc\x19\x91\x3d\x70\x7a"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_ROUND

	Description
		Identifier for the Round and Draft Angles tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_ROUND		"\x13\x29\x0e\x6b\x92\xfc\x4c\x47\x8e\x51\x94\xaf\xea\x03\x4a\xb9"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_CURVZ

	Description
		Identifier for the Smooth Curves tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_CURVZ		"\x00\x71\xc2\xc1\x7e\x09\x4a\x21\x82\x69\x47\x4d\x7c\x49\x6e\xba"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_NURBZ

	Description
		Identifier for the Nurbz Surfaces tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_NURBZ		"\x68\x74\xfa\x5c\x34\x04\x4a\xbf\x91\xaa\x45\x4a\x94\xe3\xb1\xca"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_PATCH

	Description
		Identifier for the Patches tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_PATCH		"\xb7\xc5\x47\x33\x44\x5a\x44\xb2\xb1\xd1\x71\xf3\x3b\x5c\xb6\x6b"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_META

	Description
		Identifier for the Metaformz tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_META		"\xd0\x85\x37\x45\x3b\x3e\x4a\x25\x8a\x32\xad\x6a\x48\xcb\x70\x56"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_BOOL

	Description
		Identifier for the Booleans and Intersections tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_BOOL		"\xf8\x53\x9c\x36\x75\x69\x42\x40\xa0\x6d\x19\xaa\x38\xea\x81\x47"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_JOIN

	Description
		Identifier for the Join and Group tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_JOIN		"\x15\x82\xc7\xd0\xad\x9c\x4a\x2d\x8c\xf5\x8e\x9b\xcc\xf9\xbd\xf1"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_TEXT

	Description
		Identifier for the Text tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_TEXT		"\x4b\xb9\x79\xdb\xd1\x6f\x49\x73\xa3\xc8\xf4\x6f\xd2\xd5\xe9\x24"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_SYMB

	Description
		Identifier for the Symbols tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_SYMB		"\xad\xe9\xd0\xb1\x31\xfe\x47\xd1\x9c\xe6\x22\x0e\x43\xcf\x8b\x02"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_LINE_EDIT

	Description
		Identifier for the Line Editing tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_LINE_EDIT	"\x81\x53\x1d\xa2\x07\xf0\x45\x29\x99\x63\x46\x91\xf2\x69\x6b\xb6"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_STRUCT

	Description
		Identifier for the Structure tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_STRUCT		"\xd7\x0a\x16\x1a\xd5\xd3\x46\xfc\xa0\xe3\xb8\x97\xaa\xa3\xa4\xe5"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_COPY

	Description
		Identifier for the Self/Copy tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_COPY		"\xa2\xce\xab\x2b\xdd\x84\x4c\xf2\x91\x71\xdc\x11\x56\xfd\x66\x0d"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_QUERY

	Description
		Identifier for the Query tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_QUERY		"\x57\x27\x99\xa4\x03\xb6\x42\x3e\x82\xfa\x76\xef\x4c\x02\x1d\xab"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_TFORM

	Description
		Identifier for the Geometric Transformations tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_TFORM		"\x9f\xcb\x9e\x06\x79\x52\x49\x93\xbe\xb7\x2a\x16\xe7\xf8\xbe\x91"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_TFORM_REL

	Description
		Identifier for the Relative Transformations tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_TFORM_REL	"\xbf\xcc\xb9\x13\x05\xec\x4f\x0b\xa8\x16\xb3\x46\x58\x88\x2e\xdc"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_ATTR

	Description
		Identifier for the Attributes tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_ATTR		"\x94\x40\xd6\x73\x42\x02\x4f\x08\x97\x39\x5d\x1e\xca\x74\xd2\xe8"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_GHOST

	Description
		Identifier for the Ghost and Layers tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_GHOST		"\xae\xf8\x1b\xbb\x99\x3e\x41\x5d\xae\x41\xf2\x0c\x3a\xfc\x81\x5f"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_DELETE

	Description
		Identifier for the Delete Objects tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_DELETE		"\xd1\xcc\x77\x90\xa2\x8c\x47\x47\x9a\xbc\x7f\x66\x88\x94\x1d\xf3"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_DELETE_PART

	Description
		Identifier for the Delete Parts tool group.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_DELETE_PART	"\xab\x0c\xc5\xd1\x86\xf0\x44\xb2\x98\xec\xf6\x93\x9f\x43\x58\x5a"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_ANIM

	Description
		Identifier for the Animation tool group.

	Availability	6.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_ANIM		"\x98\xc3\x7a\xc4\x5b\xf1\x4f\xc9\xbf\x6b\xf6\xd7\x2b\xe4\xb6\xa0"
/****************************************************************

	FZ_FUIM_ICON_GRUP_MODEL_ANIM_UTIL

	Description
		Identifier for the Animation Utility tool group.

	Availability	6.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_GRUP_MODEL_ANIM_UTIL	"\x94\x63\x33\x5b\x15\xda\x4b\xad\xa5\xc4\xbf\x64\x9c\xb0\x30\xb4"
/****************************************************************

	FZ_FUIM_ICON_DOCK_MODEL

	Description
		Identifier for the model dock.

	Availability	5.0.0.0

 ****************************************************************/
											
#define FZ_FUIM_ICON_DOCK_MODEL				"\x82\x1c\x3d\xd3\x1b\xe5\x40\x15\x8f\x4a\xae\xd4\x07\xb7\x16\xf9"
/****************************************************************

	FZ_CMND_MODEL_DERV_OFST_SURF

	Description
		Identifier for the Offset Surface tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_OFST_SURF		"\x55\x45\x7d\x69\x52\xd1\x4a\x0b\x96\x17\x58\x33\xb4\x2d\x7c\x91"
/****************************************************************

	FZ_CMND_MODEL_DERV_OFST_THCK

	Description
		Identifier for the Offset Thicken tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_OFST_THCK		"\x98\x0d\x17\x1e\x80\x99\x44\x99\x84\x98\x58\xed\x78\xa3\x09\x16"
/****************************************************************

	FZ_CMND_MODEL_DERV_OFST_WIRE

	Description
		Identifier for the Offset Wire tool.

	Availability	7.0.0.0

 ****************************************************************/
											
#define FZ_CMND_MODEL_DERV_OFST_WIRE		"\x35\xb9\x7d\xf6\xb5\x4a\x4c\xdb\x95\x42\x5e\xa1\xaf\xb1\xe2\x62"

#ifdef  __cplusplus
}
#endif

#endif
